[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.DoAddActionList

Adds the specified list of actions to the ActionList for the form.

## Declaration

Source position: forms.pp line 674

`protected procedure TCustomForm.DoAddActionList(`
`List: TCustomActionList`
`);`

## Arguments

`List` |  | List with actions added to the form instance.

## Description

Ensures that the TList instance is allocated for the internal member. Calls the IndexOf method in the list to locate the value in the List argument. If it is not found, the Add method for the list is called to append the value.

DoAddActionList is called from the Notification method when a TCustomActionList instance is added to the form (during LCL streaming).

## See also

TCustomForm.DoRemoveActionList |  | Removes the specified list of actions from the internal list.